package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.MarkStep;

public interface MarkStepService {

    MarkStep save(MarkStep markStep);

    MarkStep findById(int id);

    void deleteById(int id);

    void delete(MarkStep markStep);

    public void deleteByBlockId(int blockId);

    List<MarkStep> findByBlockId(int blockId);

    List<MarkStep> findByBlockId(int blockId, boolean withLevel);
}
